'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackMerge = require('webpack-merge');

var _webpackMerge2 = _interopRequireDefault(_webpackMerge);

var _webpackCommonConfig = require('./webpack.common.config.babel');

var _webpackCommonConfig2 = _interopRequireDefault(_webpackCommonConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DefinePlugin = _webpack2.default.DefinePlugin;
var UglifyJsPlugin = _webpack2.default.optimize.UglifyJsPlugin;

exports.default = (0, _webpackMerge2.default)(_webpackCommonConfig2.default, {
  devtool: false,
  output: {
    filename: '[name].[chunkhash].js'
  },
  plugins: [
  /**
   * Define some global variables
   */
  new DefinePlugin({
    'process.env': {
      production: JSON.stringify(true)
    }
  }),

  /**
   * Compress js files
   */
  new UglifyJsPlugin({
    sourceMap: false,
    mangle: false,
    compress: {
      warnings: false
    },
    output: {
      comments: false
    }
  })]
});