'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (file) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var callback = arguments[2];

  if (!_fsExtra2.default.existsSync(file)) {
    throw new Error('Config file ' + file + ' is not exists.');
  }

  var config = require(file);
  config = config.__esModule ? config.default : config;

  var compiler = (0, _webpack2.default)(config);
  options = (0, _defaultsDeep2.default)(options, { watch: false });

  if (options.watch === true) {
    var serverPort = options.port || _configuration.port;
    var serverHost = options.host || '127.0.0.1';
    var serverConfig = (0, _defaultsDeep2.default)((0, _clone2.default)(config.devServer), {
      stats: {
        colors: true
      },
      port: serverPort,
      host: serverHost,
      disableHostCheck: (0, _isBoolean2.default)(options.disableHostCheck) ? options.disableHostCheck : true,
      watchOptions: {
        ignored: /node_modules/,
        aggregateTimeout: 300,
        poll: 1000
      }
    });

    var server = new _webpackDevServer2.default(compiler, serverConfig);
    server.listen(serverPort, serverHost, function (error) {
      if (error) {
        throw error;
      }

      console.log('Starting server on http://' + serverHost + ':' + serverPort);
    });

    return;
  }

  compiler.run(function (error, stats) {
    if (error) {
      throw error;
    }

    /* eslint no-console:off */
    var message = stats.toString({
      chunks: false,
      colors: true
    });

    console.log(message);
  });
};

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _clone = require('lodash/clone');

var _clone2 = _interopRequireDefault(_clone);

var _isBoolean = require('lodash/isBoolean');

var _isBoolean2 = _interopRequireDefault(_isBoolean);

var _defaultsDeep = require('lodash/defaultsDeep');

var _defaultsDeep2 = _interopRequireDefault(_defaultsDeep);

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackDevServer = require('webpack-dev-server');

var _webpackDevServer2 = _interopRequireDefault(_webpackDevServer);

var _configuration = require('./configuration');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }