'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.modules = exports.variables = exports.publicPath = exports.port = exports.nginxDir = exports.tmpDir = exports.logDir = exports.distDir = exports.srcDir = exports.execDir = exports.rootDir = undefined;

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _mapValues = require('lodash/mapValues');

var _mapValues2 = _interopRequireDefault(_mapValues);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var rootDir = exports.rootDir = process.cwd();
var execDir = exports.execDir = _path2.default.join(__dirname, '../../');

var settings = {};
var rcFile = _path2.default.join(rootDir, '.ngwprc.json');
if (_fsExtra2.default.existsSync(rcFile)) {
  settings = _fsExtra2.default.readJSONSync(rcFile);
}

var srcDir = exports.srcDir = _path2.default.join(rootDir, settings.src || 'src');
var distDir = exports.distDir = _path2.default.join(rootDir, settings.dist || 'dist');
var logDir = exports.logDir = _path2.default.join(rootDir, settings.log || 'log');
var tmpDir = exports.tmpDir = _path2.default.join(rootDir, settings.tmp || '.temporary');
var nginxDir = exports.nginxDir = _path2.default.join(rootDir, settings.vhosts || 'vhosts');

var port = exports.port = settings.port || 8080;
var publicPath = exports.publicPath = settings.publicPath;
var variables = exports.variables = (0, _mapValues2.default)(settings.variables, JSON.stringify);
var modules = exports.modules = settings.modules || [];